MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002308VCMIAI - Adventure Mappublic2015-10-20 10:592016-04-07 13:41
ReporterPovelitel 
Assigned ToWarmonger 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Platform64OSWindowsOS VersionXP sp2
Product Version0.98d 
Target VersionFixed in Version0.98e 
Summary0002308: I suspect a bug. That the AI will not attack the hero in the castle. No matter how strong it is.
DescriptionThis is not my first game where there are such things. Perhaps in some cases it behaves correctly, but not here. 21 months passed, and he did not deign to kill me.
TagsNo tags attached.
Attached Filesrar file icon Test.rar [^] (588,680 bytes) 2015-10-20 10:59
? file icon MeWorld.h3m [^] (5,491 bytes) 2015-10-20 11:06
? file icon Spheres of power.h3m [^] (5,407 bytes) 2015-10-20 11:06

- Relationships

-  Notes
(0006006)
Warmonger (administrator)
2015-10-25 07:55

Save doesn't load. Did save format change by any chance?
(0006007)
Povelitel (updater)
2015-10-25 08:30

It is very strange. I did not do them. Just playing. In pure 0.98d load ok for me.
(0006017)
SXX (administrator)
2015-10-25 10:56

It does load for me on Linux with most recent develop branch.
(0006018)
Warmonger (administrator)
2015-10-25 11:01

Fixed in https://github.com/vcmi/vcmi/commit/2a59cb619137cb443adce6aba009ecf37a6a57da [^]

AI just found all enemy heroes inaccessible. Should fix all similiar bugs when it didn't attack.
(0006021)
SXX (administrator)
2015-10-25 11:20

BTW is save loaded for you?

- Issue History
Date Modified Username Field Change
2015-10-20 10:59 Povelitel New Issue
2015-10-20 10:59 Povelitel Status new => assigned
2015-10-20 10:59 Povelitel Assigned To => Warmonger
2015-10-20 10:59 Povelitel File Added: Test.rar
2015-10-20 11:06 Povelitel File Added: MeWorld.h3m
2015-10-20 11:06 Povelitel File Added: Spheres of power.h3m
2015-10-25 07:55 Warmonger Note Added: 0006006
2015-10-25 08:30 Povelitel Note Added: 0006007
2015-10-25 10:56 SXX Note Added: 0006017
2015-10-25 11:01 Warmonger Note Added: 0006018
2015-10-25 11:01 Warmonger Status assigned => resolved
2015-10-25 11:01 Warmonger Fixed in Version => 0.98e
2015-10-25 11:01 Warmonger Resolution open => fixed
2015-10-25 11:20 SXX Note Added: 0006021
2016-04-07 13:41 Povelitel Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean